Page MenuHomePhabricator

Provide temporary home for VE visualizations {lion}
Closed, ResolvedPublic

Description

Currently this is hosted at a terrible URL: http://tools-static.wmflabs.org/wikimetrics/ve.html

So we need a proper address in labs. The easiest would probably be to configure limn1 to serve this static file, but I tried and failed since I such at Apache configs :)

Ideally, this would be done in puppet. Also, *important* is to set up usage tracking with what I understand is an existing puppet module.

Details

Related Gerrit Patches:

Event Timeline

Milimetric claimed this task.
Milimetric raised the priority of this task from to Needs Triage.
Milimetric updated the task description. (Show Details)
Milimetric added a project: Analytics-Kanban.
Milimetric moved this task to Next Up on the Analytics-Kanban board.
Milimetric added a subscriber: Milimetric.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 11 2015, 3:56 PM
Milimetric updated the task description. (Show Details)Feb 11 2015, 4:03 PM
Milimetric set Security to None.
Milimetric added a subscriber: Ottomata.
kevinator renamed this task from New host for Visual Editor visualizations to New host for Visual Editor visualizations {bear}.Feb 12 2015, 2:11 AM
kevinator triaged this task as Medium priority.
Nuria added a subscriber: Nuria.Feb 12 2015, 4:13 PM

The puppet module that counts requests is logster, in labs it should be able to publish automatically to grapha/graphite

Nuria renamed this task from New host for Visual Editor visualizations {bear} to New host/lab environment for Visual Editor visualizations in labs that can report usage metrics {bear}.Feb 12 2015, 4:13 PM
kevinator renamed this task from New host/lab environment for Visual Editor visualizations in labs that can report usage metrics {bear} to New host/lab environment for Visual Editor visualizations in labs that can report usage metrics [13 pts] {bear}.EditedFeb 12 2015, 4:26 PM
kevinator added a subscriber: kevinator.

use limn-1 instance?

  • if so add puppet code to pull logster module and new virt host to serve static files
  • can make changes in: /var/lib/git/operations/puppet/manifests/misc/limn1.pp and ammend the HEAD
kevinator renamed this task from New host/lab environment for Visual Editor visualizations in labs that can report usage metrics [13 pts] {bear} to New host/lab environment for Visual Editor visualizations in labs that can report usage metrics [13 pts] {lion}.Feb 19 2015, 2:08 AM
Milimetric reassigned this task from Milimetric to Nuria.Feb 19 2015, 5:02 PM
Ottomata removed a subscriber: Ottomata.Mar 20 2015, 3:21 PM
Nuria added a comment.Mar 23 2015, 6:48 PM

So we need a proper address in labs. The easiest would probably be to configure limn1 to serve this static file, but I tried and failed since I such at Apache configs :)

Making limn1 serve this file is easy, but there is a bunch of local commits made on that box to get things working and changes to add pageview counters would need to be added by hand there too.
I think that adds more technical debt to what is not an optimal setup. Thus I will fix apache configs so dashboard site can be served from limn1 but not do any more local changes on the box.

Change 198780 had a related patch set uploaded (by Nuria):
Adding template for apache to serve static content

https://gerrit.wikimedia.org/r/198780

Change 198780 abandoned by Nuria:
Adding template for apache to serve static content

https://gerrit.wikimedia.org/r/198780

Change 198782 had a related patch set uploaded (by Nuria):
Adding template for apache to serve static content

https://gerrit.wikimedia.org/r/198782

Change 198782 merged by Ottomata:
Adding template for apache to serve static content

https://gerrit.wikimedia.org/r/198782

Nuria renamed this task from New host/lab environment for Visual Editor visualizations in labs that can report usage metrics [13 pts] {lion} to Provide temporary home for VE visualizations.Mar 25 2015, 9:46 PM
Nuria updated the task description. (Show Details)
Nuria closed this task as Resolved.Mar 25 2015, 9:51 PM
Nuria moved this task from Paused to In Code Review on the Analytics-Kanban board.
kevinator renamed this task from Provide temporary home for VE visualizations to Provide temporary home for VE visualizations {lion}.Mar 26 2015, 2:05 PM